{% extends 'index.html' %}
{% block content %}
    <div class="card">
        <h1>Login</h1>
        <form action={{url_for("login")}} method="POST">
						{{form.csrf_token}}
            <div>
								<label for="input-email">Email:</label>
								{{form.useremail(placeholder = "Endereço de E-Mail")}}
            </div>
            <div>
								<label for="input-password">Senha:</label>
								{{form.password(placeholder = "Senha (8 a 16 caracteres)", minlength = "8", maxlength="16")}}
            </div>
            <input type="submit" value="Login">
				</form>
				<br>
	{% with messages = get_flashed_messages() %}
		{% if messages %}
			<ul class=flashes>
				{% for message in messages %}
					<li>{{ message }}</li>
				{% endfor %}
			</ul>
		{% endif %}
	{% endwith %}
    </div>
{% endblock %}